Bug 103552 - Opening large SpreadsheetML cause "General input/output error"
Summary: Opening large SpreadsheetML cause "General input/output error"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All Linux (All)
: medium normal
Assignee: RoMan
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisectRequest, patch, perf, regression
Depends on:
Blocks:
 
Reported: 2016-10-28 11:32 UTC by RoMan
Modified: 2016-11-01 11:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Large SpreadsheetML (984.02 KB, application/vnd.ms-excel)
2016-10-28 11:32 UTC, RoMan
Details
Decrease SpreadsheetML import time to prevent "General input/output error" (1.10 KB, patch)
2016-10-28 11:33 UTC, RoMan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description RoMan 2016-10-28 11:32:17 UTC
Description:
After fixing this bug https://bugs.documentfoundation.org/show_bug.cgi?id=90999 opening large SpreadsheetML takes a very long time and causes an "General input/output error"

Steps to Reproduce:
To reproduce just try to open attached file

Actual Results:  
In my case:
Ubuntu 16.04
LibreOffice 1:5.1.4-0ubuntu1
Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz
opening takes more than 60 seconds and causes an "General input/output error"

Expected Results:
File should open quickly


Reproducible: Always

User Profile Reset: Yes

Additional Info:
After some research I solved this problem and now opening takes only 5 seconds


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 RoMan 2016-10-28 11:32:56 UTC
Created attachment 128316 [details]
Large SpreadsheetML
Comment 2 RoMan 2016-10-28 11:33:50 UTC
Created attachment 128317 [details]
Decrease SpreadsheetML import time to prevent "General input/output error"
Comment 3 Cor Nouws 2016-10-28 11:56:10 UTC
Hi RoMan,

Thanks for filing & the patch. I confirm the issue in a recent daily build.
For the patch: it's the preferred way to do that via gerrit. 
See: https://wiki.documentfoundation.org/Development/gerrit
Would that be possible?

ciao - Cor
Comment 4 Xisco Faulí 2016-10-28 11:57:45 UTC
Confirmed in

Version: 5.3.0.0.alpha0+
Build ID: 8974b0fafb18f9dd3f2c0e175a3255b80e4c249e
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

thus, this is a regression.

@RoMan, Could you please submit the patch to gerrit so it can be reviewed by a core developer? You just need to follow this page: https://wiki.documentfoundation.org/Development/gerrit
Comment 5 RoMan 2016-10-28 12:58:30 UTC
I don't have a Gerrit account, could you do that instead of me? Otherwise I will try to do that myself.
Comment 6 Xisco Faulí 2016-10-28 13:04:49 UTC
Hi RoMan,
No, I'm sorry. that's something you have do it yourself. However, it's quite straightforward and you can do it in a few minutes. In case you have problems or doubts, you can always ask in https://webchat.freenode.net/?channels=#libreoffice-dev to others developers. They will be happy to help you.
Regards
Comment 7 RoMan 2016-10-28 15:07:07 UTC
I hope I did it right:
https://gerrit.libreoffice.org/30361
Comment 8 Julien Nabet 2016-10-29 12:32:53 UTC
In order to the patch to be accepted, you must accept the license chosen by LO.
(see https://wiki.documentfoundation.org/Development/GetInvolved, search "license").
Anyway, will test the patch as soon as my build from scratch will be complete! :)
Comment 9 Julien Nabet 2016-10-29 20:27:10 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce the problem.
I noticed this on console:
warn:uui:8241:1:uui/source/iahndl.cxx:246: replaceMessageWithArguments: No arguments passed!
Comment 10 Julien Nabet 2016-10-29 20:31:45 UTC
With the patch, I indeed could open the file!
I noticed this kind of log on console:
warn:legacy.osl:8433:1:xmloff/source/core/xmlerror.cxx:178: An error or a warning has occurred during XML import/export!
Error-Id: 0x10020002
    Flags: 1 WARNING
    Class: 2 FORMAT
    Number: 2
Parameters:
    0: style:row-height
    1: NaNcm
Exception-Message: 
Position:
    Public Identifier: file:///home/julien/lo/bugs/103552_xsltimportxml/Large_SpreadsheetML.xls
    System Identifier: file:///home/julien/lo/bugs/103552_xsltimportxml/Large_SpreadsheetML.xls
    Row, Column: 2,380226
But that's perhaps another story.
Comment 11 RoMan 2016-10-30 09:21:58 UTC
I sent licence statement:
https://lists.freedesktop.org/archives/libreoffice/2016-October/075675.html
Comment 13 Julien Nabet 2016-11-01 10:58:54 UTC
I submitted to review the patch for 5.2 branch, see https://gerrit.libreoffice.org/#/c/30458/
Comment 14 Julien Nabet 2016-11-01 11:00:10 UTC
BTW, I added "tdf#103552" so when the patch is pushed, it'll automatically update bugtracker (with a new target for 5.2 branch).
Comment 15 Commit Notification 2016-11-01 11:32:20 UTC
Шиповський Роман committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d23095123788928324976efda6a9a612a2fd9ef&h=libreoffice-5-2

tdf#103552: Decrease SpreadsheetML import time to prevent "General input/output error"

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Adolfo Jayme 2016-11-01 11:34:42 UTC
Thank you for your contribution, Роман! =)